Module java.desktop
Package javax.swing.plaf.basic

# Class BasicSplitPaneUI.KeyboardUpLeftHandler

java.lang.Object
javax.swing.plaf.basic.BasicSplitPaneUI.KeyboardUpLeftHandler

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Enclosing class:
  `BasicSplitPaneUI`

public class BasicSplitPaneUI.KeyboardUpLeftHandler extends Object implements ActionListener
Implementation of an ActionListener that the JSplitPane UI uses for handling specific key presses.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

## Constructor Summary

Constructors
Constructor
Description
`KeyboardUpLeftHandler()`
Constructs a `KeyboardUpLeftHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent ev)`
Invoked when an action occurs.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyboardUpLeftHandler

public KeyboardUpLeftHandler()
Constructs a `KeyboardUpLeftHandler`.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent ev)
Description copied from interface: `ActionListener`
Invoked when an action occurs.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `ev` - the event to be processed